Priority: Normal   
Category: User access   
Tags:  Affected Versions:  

Reviewed:    

Description

1) Do you just need VPN access or will you also be running teuthology jobs?

I need to run teuthology jobs and review their results via ssh

2) Desired Username: mrfreezeex

3) Alternate e-mail address(es) we can reach you at:

arthur.outhenin-chalandre@cern.ch

arthur@cri.epita.fr

4) If you don't already have an established history of code contributions to Ceph, is there an existing community or core developer

you've worked with who has reviewed your work and can vouch for your access request?

If you answered "No" to # 4, please answer the following (paste directly below the question to keep indentation):

4a) Paste a link to a Blueprint or planning doc of yours that was reviewed at a Ceph Developer Monthly.

4b) Paste a link to an accepted pull request for a major patch or feature.

https://github.com/ceph/ceph/pull/41696

and a few other smaller contributions https://github.com/ceph/ceph/pulls?q=is%3Apr+author%3AMrFreezeex+

4c) If applicable, include a link to the current project (planning doc, dev branch, or pull request) that you are looking to test.

5) Paste your SSH public key(s) between the pre tags

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIADWYnXrwweaWs8/3gaUDctlaelfSPRh0Cs3G2SHbER0 mrfreezeex@infern

o

 

6) Paste your hashed VPN credentials between the pre tags (Format: user@hostname 22CharacterSalt

65CharacterHashedPassword)

mrfreezeex@inferno ade2FH1BYDNTWeREZEJpFQ 32d052805908bc929983119748701a6c882cfbd2dd32c511bdcfbe6d

32efb7ef

History

#1 - 12/09/2021 05:54 PM - adam kraitman

- Category set to User access

- Status changed from New to In Progress

- Assignee set to adam kraitman

Hey Arthur the underscore character or other special characters are not allowed in the username, Please update your username

Cheers,
Adam

#2 - 12/10/2021 08:28 AM - Arthur Outhenin-Chalandre

- Description updated

#3 - 12/10/2021 08:30 AM - Arthur Outhenin-Chalandre

Hi Adam,

Sorry I didn't know about that. I updated my original message to remove the underscore character.

Cheers,

Arthur

#4 - 12/14/2021 12:13 PM - adam kraitman

Hey Arthur,

You should have access to the Sepia lab now. Please verify you're able to connect to the vpn and ssh mrfreezeex@teuthology.front.sepia.ceph.com

using the private key matching the pubkey you provided.

Be sure to check out the following links for final workstation setup steps:

https://wiki.sepia.ceph.com/doku.php?id=vpnaccess#vpn_client_access

https://wiki.sepia.ceph.com/doku.php?id=testnodeaccess#ssh_config

Most developers choose to schedule runs from the shared teuthology VM. For information on that, see 

http://docs.ceph.com/teuthology/docs/intro_testers.html

If you plan on scheduling tests, one of the options you'll need to set with teuthology-suite is -p, --priority. Please refrain from using a priority lower than

101 (lower number = higher priority). When a high priority is used, it locks up too many testnodes at once and prevents other developers from testing

changes.

Thanks.

#5 - 01/06/2022 10:36 AM - Arthur Outhenin-Chalandre

Hi Adam,

Sorry for the late reply, I just came back from holydays.

I tested the VPN/SSH access and as far as I can tell it works perfectly, many thanks!

I will need to launch some teuthology jobs, but I am not in the ceph org on github yet (https://github.com/MrFreezeex/) so I can't push a wip branch to

the ceph-ci repo. Do you know how I should request this?

Cheers,

Arthur

04/04/2024 2/3

mailto:mrfreezeex@teuthology.front.sepia.ceph.com
https://wiki.sepia.ceph.com/doku.php?id=vpnaccess#vpn_client_access
https://wiki.sepia.ceph.com/doku.php?id=testnodeaccess#ssh_config
http://docs.ceph.com/teuthology/docs/intro_testers.html
https://github.com/MrFreezeex/


#6 - 01/10/2022 02:31 PM - adam kraitman

Hey Arthur I have sent you an invite to ceph org

#7 - 01/10/2022 03:08 PM - Arthur Outhenin-Chalandre

Thanks Adam, I have accepted it! Feel free to resolve the ticket now.

#8 - 03/21/2022 03:14 PM - adam kraitman

- Status changed from In Progress to Resolved
